org.eclipse.lyo.oslc4j.provider.jena

## Class OslcCompactRdfProvider

- java.lang.Object
- - org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider
  - - org.eclipse.lyo.oslc4j.provider.jena.OslcCompactRdfProvider

- All Implemented Interfaces:
    javax.ws.rs.ext.MessageBodyReader<Compact>, javax.ws.rs.ext.MessageBodyWriter<Compact>

      @Provider
      public final class OslcCompactRdfProvider
      extends AbstractOslcRdfXmlProvider
      implements javax.ws.rs.ext.MessageBodyReader<Compact>, javax.ws.rs.ext.MessageBodyWriter<Compact>

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider

      `httpServletRequest, OSLC4J_ALWAYS_XML_ABBREV, OSLC4J_STRICT_DATATYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcCompactRdfProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getSize(Compact compact, Class<?> type, Type genericType, Annotation[] annotation, javax.ws.rs.core.MediaType mediaType)`
    `boolean` | `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
    `boolean` | `isWriteable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
    `Compact` | `readFrom(Class<Compact> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> map, InputStream inputStream)`
    `void` | `writeTo(Compact compact, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider

      `buildBadRequestResponse, isCompatible, isOslcQuery, isReadable, isWriteable, readFrom, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OslcCompactRdfProvider

          public OslcCompactRdfProvider()

  - ### Method Detail

    - #### getSize

          public long getSize(Compact compact,
                     Class<?> type,
                     Type genericType,
                     Annotation[] annotation,
                     javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<Compact>`

    - #### isWriteable

          public boolean isWriteable(Class<?> type,
                            Type genericType,
                            Annotation[] annotations,
                            javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<Compact>`

    - #### writeTo

          public void writeTo(Compact compact,
                     Class<?> type,
                     Type genericType,
                     Annotation[] annotations,
                     javax.ws.rs.core.MediaType mediaType,
                     javax.ws.rs.core.MultivaluedMap<String,Object> map,
                     OutputStream outputStream)
                       throws IOException,
                              javax.ws.rs.WebApplicationException

      Specified by:
        `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Compact>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`

    - #### isReadable

          public boolean isReadable(Class<?> type,
                           Type genericType,
                           Annotation[] annotations,
                           javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<Compact>`

    - #### readFrom

          public Compact readFrom(Class<Compact> type,
                         Type genericType,
                         Annotation[] annotations,
                         javax.ws.rs.core.MediaType mediaType,
                         javax.ws.rs.core.MultivaluedMap<String,String> map,
                         InputStream inputStream)
                           throws IOException,
                                  javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<Compact>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`

Copyright © 2016. All rights reserved.